1
\$\begingroup\$

I follow this tutorial: https://gnu-mcu-eclipse.github.io/tutorials/blinky-arm/

And, installed openOCD, QEMU, Packs... all that is need. But when I start the Debug the follow error occurs: enter image description here

He compiles succesfully, but when the starts this crash happens... And prorgram not execute.

Error:

PRIGROUP unimplemented
assert_param() failed: file "../system/src/stm32f4-hal/stm32f4xx_hal_rcc.c", line 470
abort(), exiting..

Also, I noticed that "Play Button" is not available, but "Pause" and "Stop" is.

\$\endgroup\$
1
\$\begingroup\$

Your program is attempting to use functionality unsupported by the simulator.

The message tells you at exactly which line of which source file the offending attempt is made.

You will have to avoid this, or pursue it with the authors of the board simulator.

Generally speaking, simulating things like this is a bit unusual - it can be fun, but most would test on the real hardware, possible with an SWD debugger (which is already on that board) connected.

\$\endgroup\$
  • \$\begingroup\$ I have the board, but I wants use the simulator. How I can what functionality I need install ? Or how I know which functionality available? \$\endgroup\$ – Augusto Sep 1 '17 at 18:35
  • 1
    \$\begingroup\$ If you have a board I do not understand what is the point of the emulation. Waste of time and energy \$\endgroup\$ – P__J__ Sep 2 '17 at 0:35

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.